Update notification settings
Updates the notification settings for the authenticated user in a workspace.
curl --request PATCH \
--url https://api.example.com/workspaces/{workspaceId}/notifications \
--header 'Content-Type: application/json' \
--data '
{
"notificationEventsApp": [
"member.joined"
],
"notificationEventsEmail": [
"member.joined"
],
"notifyViaEmail": true
}
'import requests
url = "https://api.example.com/workspaces/{workspaceId}/notifications"
payload = {
"notificationEventsApp": ["member.joined"],
"notificationEventsEmail": ["member.joined"],
"notifyViaEmail": True
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
notificationEventsApp: ['member.joined'],
notificationEventsEmail: ['member.joined'],
notifyViaEmail: true
})
};
fetch('https://api.example.com/workspaces/{workspaceId}/notifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/workspaces/{workspaceId}/notifications",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'notificationEventsApp' => [
'member.joined'
],
'notificationEventsEmail' => [
'member.joined'
],
'notifyViaEmail' => true
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/workspaces/{workspaceId}/notifications"
payload := strings.NewReader("{\n \"notificationEventsApp\": [\n \"member.joined\"\n ],\n \"notificationEventsEmail\": [\n \"member.joined\"\n ],\n \"notifyViaEmail\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.example.com/workspaces/{workspaceId}/notifications")
.header("Content-Type", "application/json")
.body("{\n \"notificationEventsApp\": [\n \"member.joined\"\n ],\n \"notificationEventsEmail\": [\n \"member.joined\"\n ],\n \"notifyViaEmail\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/workspaces/{workspaceId}/notifications")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"notificationEventsApp\": [\n \"member.joined\"\n ],\n \"notificationEventsEmail\": [\n \"member.joined\"\n ],\n \"notifyViaEmail\": true\n}"
response = http.request(request)
puts response.read_body{
"notificationEventsApp": [
"member.joined"
],
"notificationEventsEmail": [
"member.joined"
],
"notifyViaEmail": true
}{
"message": "<string>",
"name": "<string>"
}{
"message": "<string>",
"name": "<string>"
}{
"message": "<string>",
"name": "<string>"
}<string><string>Path Parameters
Workspace identifier.
Body
Request payload for updating notification settings.
Request payload for updating notification settings.
Notification events to receive in-app.
Defines the type of notification event sent to a user.
Corresponds to the NOTIFICATION_EVENT PostgreSQL enum and is used for
member, connection-sync, detection, redaction, and system notifications.
The values mirror the WebhookEvent [blocked] naming for the events the two
channels share.
"member.joined"Notification events to receive via email.
Defines the type of notification event sent to a user.
Corresponds to the NOTIFICATION_EVENT PostgreSQL enum and is used for
member, connection-sync, detection, redaction, and system notifications.
The values mirror the WebhookEvent [blocked] naming for the events the two
channels share.
"member.joined"Whether to send email notifications.
Response
Response for notification settings within a workspace.
Response for notification settings within a workspace.
Notification events to receive in-app.
Defines the type of notification event sent to a user.
Corresponds to the NOTIFICATION_EVENT PostgreSQL enum and is used for
member, connection-sync, detection, redaction, and system notifications.
The values mirror the WebhookEvent [blocked] naming for the events the two
channels share.
"member.joined"Notification events to receive via email.
Defines the type of notification event sent to a user.
Corresponds to the NOTIFICATION_EVENT PostgreSQL enum and is used for
member, connection-sync, detection, redaction, and system notifications.
The values mirror the WebhookEvent [blocked] naming for the events the two
channels share.
"member.joined"Whether to send email notifications.
curl --request PATCH \
--url https://api.example.com/workspaces/{workspaceId}/notifications \
--header 'Content-Type: application/json' \
--data '
{
"notificationEventsApp": [
"member.joined"
],
"notificationEventsEmail": [
"member.joined"
],
"notifyViaEmail": true
}
'import requests
url = "https://api.example.com/workspaces/{workspaceId}/notifications"
payload = {
"notificationEventsApp": ["member.joined"],
"notificationEventsEmail": ["member.joined"],
"notifyViaEmail": True
}
headers = {"Content-Type": "application/json"}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
notificationEventsApp: ['member.joined'],
notificationEventsEmail: ['member.joined'],
notifyViaEmail: true
})
};
fetch('https://api.example.com/workspaces/{workspaceId}/notifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/workspaces/{workspaceId}/notifications",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'notificationEventsApp' => [
'member.joined'
],
'notificationEventsEmail' => [
'member.joined'
],
'notifyViaEmail' => true
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/workspaces/{workspaceId}/notifications"
payload := strings.NewReader("{\n \"notificationEventsApp\": [\n \"member.joined\"\n ],\n \"notificationEventsEmail\": [\n \"member.joined\"\n ],\n \"notifyViaEmail\": true\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.example.com/workspaces/{workspaceId}/notifications")
.header("Content-Type", "application/json")
.body("{\n \"notificationEventsApp\": [\n \"member.joined\"\n ],\n \"notificationEventsEmail\": [\n \"member.joined\"\n ],\n \"notifyViaEmail\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/workspaces/{workspaceId}/notifications")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"notificationEventsApp\": [\n \"member.joined\"\n ],\n \"notificationEventsEmail\": [\n \"member.joined\"\n ],\n \"notifyViaEmail\": true\n}"
response = http.request(request)
puts response.read_body{
"notificationEventsApp": [
"member.joined"
],
"notificationEventsEmail": [
"member.joined"
],
"notifyViaEmail": true
}{
"message": "<string>",
"name": "<string>"
}{
"message": "<string>",
"name": "<string>"
}{
"message": "<string>",
"name": "<string>"
}<string><string>